/*
  File name        : debug-fpexpection.c
  Date of creation : 25/12/2012
  Version          : 1.0
  Copyright        : Soft'n'design
  Author           : Laurent Mazet <mazet@softndesign.org>

  Description      : This file contains tests for debug dump.

  History          :
  - initial version
*/

/* depend: */
/* cflags: */
/* linker: -ldebug */

#include <stdio.h>
#include <stdlib.h>

int main (int argc, char *argv[])
{

    /* process arguments */
    if (argc > 1) {
        printf ("usage: %s\n", argv[0]);
        exit (1);
    }

    int a = 10;
    int i;
    printf ("b:");
    for (i = 0; i < 20; i++) {
        int b = rand () / (a - i);
        printf (" %d(%d)", b, i);
    }
    printf ("\n");

    return 0;
}

/* test: {} */
/* test: DEBUG_=0 {} */
/* test: DEBUG_=1 {} */
/* test: DEBUG_=y {} */

/* vi:set tabstop=4 expandtab shiftwidth=4: this line set vi mode */
