/*
  File name        : debug-illness.c
  Date of creation : 26/12/2012
  Version          : 1.0
  Copyright        : Soft'n'design
  Author           : Laurent Mazet <mazet@softndesign.org>

  Description      : This file contains tests for debug dump.

  History          :
  - initial version
*/

/* depend: */
/* cflags: -msse */
/* linker: -ldebug */

#include <stdio.h>
#include <stdlib.h>

int main (int argc, char *argv[])
{

    /* process arguments */
    if (argc > 1) {
        printf ("usage: %s\n", argv[0]);
        exit (1);
    }

    asm volatile (
        "pmovsxbd %%xmm0, %%xmm0\n\t"
        :
        :
        : "xmm0"
        );

    return 0;
}

/* test: {} */
/* test: DEBUG_=0 {} */
/* test: DEBUG_=1 {} */
/* test: DEBUG_=y {} */

/* vi:set tabstop=4 expandtab shiftwidth=4: this line set vi mode */
