/*
  File name        : debug-interrupt.c
  Date of creation : 25/12/2012
  Version          : 1.0
  Copyright        : Soft'n'design
  Author           : Laurent Mazet <mazet@softndesign.org>

  Description      : This file contains tests for debug dump.

  History          :
  - initial version
*/

/* depend: */
/* cflags: */
/* linker: -ldebug */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

int main (int argc, char *argv[])
{

    /* process arguments */
    if (argc > 1) {
        printf ("usage: %s\n", argv[0]);
        exit (1);
    }

    printf ("waiting to be interrupted\n");
    while (1) {
        printf (".");
        fflush (stdout);
        sleep (1);
    }

    return 0;
}

/* test: ( sleep 3; killall -INT {} ) & {}; echo */
/* test: ( sleep 3; killall -INT {} ) & DEBUG_=0 {}; echo */
/* test: ( sleep 3; killall -INT {} ) & DEBUG_=1 {} */
/* test: ( sleep 3; killall -INT {} ) & DEBUG_=y {} */

/* vi:set tabstop=4 expandtab shiftwidth=4: this line set vi mode */
